/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
curl --request PUT \
--url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"dealIds": [
{
"dealIdentifier": "<string>",
"supplyVendorId": "<string>"
}
]
},
"type": "<string>"
}
}
'import requests
url = "https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids"
payload = { "data": {
"attributes": { "dealIds": [
{
"dealIdentifier": "<string>",
"supplyVendorId": "<string>"
}
] },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {dealIds: [{dealIdentifier: '<string>', supplyVendorId: '<string>'}]},
type: '<string>'
}
})
};
fetch('https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attributes": {},
"type": "<string>"
},
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
Set the Deal Id Targeting configuration for the ad set whose id is specified
PUT
/
preview
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/
targeting
/
deal-ids
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Id of the Ad Set
Body
application/json
the new Deal Id Targeting configuration
Represents an API request message containing the usual valueResource data field, i.e. data is not an entity (no id). This can be used for association objects.
A class that represents a ValueType in a guild compliant way
Show child attributes
Show child attributes
Response
200 - application/json
the errors/warnings if any
Represents an API response message containing the usual outcome fields (warnings+errors), and a valueResource data, i.e. data is not an entity (no id). This can be used for association objects.
Was this page helpful?
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids
Previous
/preview/marketing-solutions/ad-sets/{ad-set-id}/targeting/deal-ids/disable
Next
⌘I